From: "Pacho Ramos" <pacho@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sci-libs/libcifpp/
Date: Fri, 20 Oct 2023 13:14:52 +0000 (UTC) [thread overview]
Message-ID: <1697807676.5d6fb2107bcfd5f67d20d58c33aebdeb184a6495.pacho@gentoo> (raw)
commit: 5d6fb2107bcfd5f67d20d58c33aebdeb184a6495
Author: Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Thu Oct 19 15:19:30 2023 +0000
Commit: Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Fri Oct 20 13:14:36 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5d6fb210
sci-libs/libcifpp: add 5.2.2
Signed-off-by: Pacho Ramos <pacho <AT> gentoo.org>
sci-libs/libcifpp/Manifest | 2 ++
sci-libs/libcifpp/libcifpp-5.2.2.ebuild | 38 +++++++++++++++++++++++++++++++++
2 files changed, 40 insertions(+)
diff --git a/sci-libs/libcifpp/Manifest b/sci-libs/libcifpp/Manifest
index 16596109fa60..4fcf5d210edf 100644
--- a/sci-libs/libcifpp/Manifest
+++ b/sci-libs/libcifpp/Manifest
@@ -2,3 +2,5 @@ DIST libcifpp-5.1.1-components.cif.xz 58896016 BLAKE2B 2bf61944fe6b11325df3c6c32
DIST libcifpp-5.1.1.tar.gz 2244833 BLAKE2B 3a5feada63ee123dbed1ba776d0248569f46bbc2d39748db7d3cdfdfb66c89e08c54cdf5133182978e9ef4808c19adfc794ee895a95e882f0d5ff3d173e57311 SHA512 3e988d0e4f24174fb47274b0feaae5a8a793441efb9c8273b328f412fbd29ee082cd91e19f19008069ebfd3507c83f7945dc33fc015784727603f987091eaa5c
DIST libcifpp-5.1.2-components.cif.xz 59092332 BLAKE2B 3672ca8e9553be80822ca7d7398fd3b73b14b1bf375e63f3a7aef33c2ee92d837c9ca08b3a756d838c512ac5918a0537d70e9a422331fafaf0ff77ecf2134515 SHA512 b2d3507d339d8467b10d0a638a5b86e75ed73fb64fee854aefeb2f0ce999e6a99755af30483749ce75e8a4ce63536111bd2a7a5f698dfc86d1a2be3d243304ce
DIST libcifpp-5.1.2.tar.gz 2244795 BLAKE2B 7bec9f901c112fabf86c9ce691229f42dcf854be4c99bdf09dbe7dd0d0a3a7e92831cb2b72afa4debc1ce8b1a3a33e27cceda048adca6805802189e0ad50349c SHA512 3adb801ed52b250f6779228288a2c2926c1c7d8d0eff0bb6ed610b4258de8537253d2ce95208e8682b2eb8d0c09ecb53b6269c24bdce907360d9478c6c8c3c1b
+DIST libcifpp-5.2.2-components.cif.xz 60754468 BLAKE2B 899120c2d6749fb2da9be94de8665f4e961d08c101b33bce98b84bf126b32d43bb79c88da98fb926047522a6f138512dcc59df698f57a83b716e039d422308d4 SHA512 d861b83f8b363f2e64ccf073bae768d73f9f57ec2674bf30d43b05fc9a32d235e26c888faaa02b6276e0734632b237b6dd00d8b966dd63b4fcf6562ebcf41cfc
+DIST libcifpp-5.2.2.tar.gz 2277238 BLAKE2B a31af09bed7f1dbd6f610e104f0a8439742c863bc58b3680c058cb570a1f93fbcd6d23f29a372aafbb7166a4d86b2590cd24e092b1cc7af25bd09bbe437c93eb SHA512 2bbe9b13fd0ce8f686b5fa9e1675a41cc37c954cd9d80326fcc7c5f4c767be95dd71f6ddc3e841b6102214cd66205303515fa0750683e539f48b038a32a51af9
diff --git a/sci-libs/libcifpp/libcifpp-5.2.2.ebuild b/sci-libs/libcifpp/libcifpp-5.2.2.ebuild
new file mode 100644
index 000000000000..0a794df24722
--- /dev/null
+++ b/sci-libs/libcifpp/libcifpp-5.2.2.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+inherit cmake
+
+DESCRIPTION="Code to work with mmCIF and PDB files"
+HOMEPAGE="https://github.com/PDB-REDO/libcifpp"
+# Update components file on every bump
+# https://files.wwpdb.org/pub/pdb/data/monomers/components.cif.gz
+SRC_URI="
+ https://github.com/PDB-REDO/${PN}/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz
+ https://dev.gentoo.org/~pacho/${PN}/${P}-components.cif.xz
+"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+DEPEND="
+ dev-cpp/eigen:3
+ dev-libs/boost:=
+"
+RDEPEND="${DEPEND}"
+
+src_configure() {
+ cp "${WORKDIR}"/${P}-components.cif data/components.cif || die
+
+ local mycmakeargs=(
+ -DBUILD_SHARED_LIBS=ON
+ -DCIFPP_DOWNLOAD_CCD=OFF
+ -DCIFPP_INSTALL_UPDATE_SCRIPT=OFF
+ -DBUILD_TESTING="$(usex test)"
+ )
+ cmake_src_configure
+}
next reply other threads:[~2023-10-20 13:14 UTC|newest]
Thread overview: 37+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-10-20 13:14 Pacho Ramos [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-04-13 16:44 [gentoo-commits] repo/gentoo:master commit in: sci-libs/libcifpp/ Pacho Ramos
2025-04-13 16:44 Pacho Ramos
2025-01-31 18:35 Pacho Ramos
2025-01-31 18:35 Pacho Ramos
2025-01-13 12:56 Sam James
2024-12-02 13:00 Pacho Ramos
2024-10-17 11:56 Pacho Ramos
2024-10-17 8:51 Pacho Ramos
2024-10-17 8:51 Pacho Ramos
2024-09-15 12:25 Pacho Ramos
2024-05-18 10:06 Pacho Ramos
2024-05-18 10:06 Pacho Ramos
2023-08-23 14:49 Pacho Ramos
2023-08-23 14:49 Pacho Ramos
2023-08-08 9:20 Pacho Ramos
2023-08-08 9:20 Pacho Ramos
2023-06-08 12:33 Pacho Ramos
2023-06-08 12:33 Pacho Ramos
2023-06-08 9:39 Pacho Ramos
2023-04-25 13:14 Pacho Ramos
2023-04-18 15:08 Pacho Ramos
2023-02-26 15:51 Pacho Ramos
2022-12-04 14:50 Pacho Ramos
2022-12-04 14:50 Pacho Ramos
2022-09-04 13:03 David Seifert
2022-09-04 12:23 David Seifert
2022-03-17 13:36 Jakov Smolić
2021-12-16 8:46 Pacho Ramos
2021-11-16 3:14 Sam James
2021-11-06 9:13 Pacho Ramos
2021-11-06 9:13 Pacho Ramos
2021-10-19 21:04 Pacho Ramos
2021-10-10 20:48 Sam James
2021-10-03 18:45 Pacho Ramos
2021-09-26 10:18 Pacho Ramos
2021-09-02 12:01 Pacho Ramos
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1697807676.5d6fb2107bcfd5f67d20d58c33aebdeb184a6495.pacho@gentoo \
--to=pacho@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox